import { Content, ContentHeader, SupportButton } from '@backstage/core-components';
import { useEntity, MissingAnnotationEmptyState } from '@backstage/plugin-catalog-react';
import React from 'react';
import { SonarQubeCard } from '../index.esm.js';
import { isSonarQubeAvailable, SONARQUBE_PROJECT_KEY_ANNOTATION } from '@backstage/plugin-sonarqube-react';
import 'cross-fetch';
import '@material-ui/core/Chip';
import '@material-ui/core/Grid';
import '@material-ui/core/styles';
import '@material-ui/icons/BugReport';
import '@material-ui/icons/Lock';
import '@material-ui/icons/LockOpen';
import '@material-ui/icons/Security';
import '@material-ui/icons/SentimentVeryDissatisfied';
import '@material-ui/icons/SentimentVerySatisfied';
import 'react-use/esm/useAsync';
import 'rc-progress';
import '@material-ui/core/Avatar';
import '@material-ui/core/Typography';
import '@backstage/core-plugin-api';
import 'luxon';

const SonarQubeContentPage = (props) => {
  const { entity } = useEntity();
  const { title, supportTitle } = props;
  return isSonarQubeAvailable(entity) ? /* @__PURE__ */ React.createElement(Content, null, /* @__PURE__ */ React.createElement(ContentHeader, { title: title != null ? title : "SonarQube Dashboard" }, supportTitle && /* @__PURE__ */ React.createElement(SupportButton, null, supportTitle)), /* @__PURE__ */ React.createElement(SonarQubeCard, null)) : /* @__PURE__ */ React.createElement(
    MissingAnnotationEmptyState,
    {
      annotation: SONARQUBE_PROJECT_KEY_ANNOTATION
    }
  );
};

export { SonarQubeContentPage };
//# sourceMappingURL=index-BGkJlRMA.esm.js.map
