/// <reference types="react" />
import { SonarQubeApi, FindingSummary } from '@backstage/plugin-sonarqube-react';
import * as _backstage_core_plugin_api from '@backstage/core-plugin-api';
import { DiscoveryApi, IdentityApi } from '@backstage/core-plugin-api';
import * as _backstage_catalog_model from '@backstage/catalog-model';
import * as React from 'react';
import React__default from 'react';
import * as _backstage_core_components from '@backstage/core-components';
import { InfoCardVariants } from '@backstage/core-components';

/** @public */
declare class SonarQubeClient implements SonarQubeApi {
    discoveryApi: DiscoveryApi;
    identityApi: IdentityApi;
    constructor(options: {
        discoveryApi: DiscoveryApi;
        identityApi: IdentityApi;
    });
    private callApi;
    getFindingSummary({ componentKey, projectInstance, }?: {
        componentKey?: string;
        projectInstance?: string;
    }): Promise<FindingSummary | undefined>;
}

/** @public */
type DuplicationRating = {
    greaterThan: number;
    rating: '1.0' | '2.0' | '3.0' | '4.0' | '5.0';
};
/** @public */
declare const SonarQubeCard: (props: {
    variant?: InfoCardVariants;
    duplicationRatings?: DuplicationRating[];
}) => React__default.JSX.Element;

/** @public */
type SonarQubeContentPageProps = {
    title?: string;
    supportTitle?: string;
};

/**
 * @public
 *
 * @deprecated use the same type from `@backstage/plugin-sonarqube-react` instead
 */
declare const isSonarQubeAvailable: (entity: _backstage_catalog_model.Entity) => boolean;
/**
 * @public
 *
 * @deprecated use the same type from `@backstage/plugin-sonarqube-react` instead
 */
declare const SONARQUBE_PROJECT_KEY_ANNOTATION = "sonarqube.org/project-key";

/** @public */
declare const sonarQubePlugin: _backstage_core_plugin_api.BackstagePlugin<{}, {}>;
/** @public */
declare const EntitySonarQubeCard: (props: {
    variant?: _backstage_core_components.InfoCardVariants | undefined;
    duplicationRatings?: DuplicationRating[] | undefined;
}) => React.JSX.Element;
/** @public */
declare const EntitySonarQubeContentPage: (props: SonarQubeContentPageProps) => React.JSX.Element;

export { type DuplicationRating, EntitySonarQubeCard, EntitySonarQubeContentPage, SONARQUBE_PROJECT_KEY_ANNOTATION, SonarQubeCard, SonarQubeClient, type SonarQubeContentPageProps, isSonarQubeAvailable, sonarQubePlugin };
